P_timeval Class Reference

`#include <socket.h>`

## Public Member Functions

| P_timeval ()
| P_timeval (const PTimeInterval &time)
P_timeval & | operator= (const PTimeInterval &time)
| operator timeval * ()
timeval * | operator-> ()
timeval & | operator* ()

## Constructor & Destructor Documentation

## P_timeval() [1/2]

P_timeval::P_timeval | ( |  | ) |

## P_timeval() [2/2]

P_timeval::P_timeval | ( | const PTimeInterval & | time | ) |

inline

References PChannel::operator=().

## Member Function Documentation

## operator timeval *()

P_timeval::operator timeval * | ( |  | ) |

inline

## operator*()

timeval& P_timeval::operator* | ( |  | ) |

inline

References PSocket::GetProtocolName(), PSocket::OpenSocket(), and PCLASSINFO.

## operator->()

timeval* P_timeval::operator-> | ( |  | ) |

inline

## operator=()

P_timeval& P_timeval::operator= | ( | const PTimeInterval & | time | ) |

The documentation for this class was generated from the following file:

- socket.h